import pandas as pd
from scripts.feature_importance.RFReg_FI import analyze_feature_importance



early = pd.read_csv("data/early_with_lags.csv")
late = pd.read_csv("data/late_with_lags.csv")
inflation = pd.read_csv("data/germany_inflation.csv")
unemployment = pd.read_csv("data/germany_unemployment.csv")

analyze_feature_importance(early, inflation, unemployment, 'images/early_data_feature_importance_no_lags.png', False)
analyze_feature_importance(early, inflation, unemployment, 'images/early_data_feature_importance_with_lags.png', True)
analyze_feature_importance(late, inflation, unemployment, 'images/late_data_feature_importance_no_lags.png', False)
analyze_feature_importance(late, inflation, unemployment, 'images/late_data_feature_importance_with_lags.png', True)
